
From: Anton Blanchard <anton@samba.org>

Some new sysfs macros declare a store_purr() function that never gets used,
which makes a compiler warning happen.  Suppress the warning with the used
attribute.

Signed-off-by: Dave Hansen <haveblue@us.ibm.com>
Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/kernel/sysfs.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ppc64/kernel/sysfs.c~ppc64-suppress-store_purr-unused-warning arch/ppc64/kernel/sysfs.c
--- 25/arch/ppc64/kernel/sysfs.c~ppc64-suppress-store_purr-unused-warning	2004-08-04 20:37:44.669138600 -0700
+++ 25-akpm/arch/ppc64/kernel/sysfs.c	2004-08-04 20:37:44.672138144 -0700
@@ -208,8 +208,8 @@ static ssize_t show_##NAME(struct sys_de
 	unsigned long val = run_on_cpu(cpu->sysdev.id, read_##NAME, 0); \
 	return sprintf(buf, "%lx\n", val); \
 } \
-static ssize_t store_##NAME(struct sys_device *dev, const char *buf, \
-			    size_t count) \
+static ssize_t __attribute_used__ \
+	store_##NAME(struct sys_device *dev, const char *buf, size_t count) \
 { \
 	struct cpu *cpu = container_of(dev, struct cpu, sysdev); \
 	unsigned long val; \
_
